

Summary: Robust internet radio station streamer
Name: greatlittleradioplayer
Version: 1.4.4
Release: %mkrel 2
URL: http://sourceforge.net/projects/glrp/?source=dlp
License: GPL
Group: Sound
Source: greatlittleradioplayer-%version.tar.xz
Patch0: mainwindow.cpp.patch
BuildRoot: 	%_tmppath/%name-%version
Requires: task-qt4
Requires: phonon-vlc
Requires: glib2.0-common
Requires: %{_lib}phonon4
Requires: %{_lib}fontconfig1
Requires: %{_lib}glib2.0_0
Requires: %{_lib}png3
Requires: %{_lib}json0
Requires: %{_lib}expat1
Requires: %{_lib}pcre1
Requires: %{_lib}wrap0
Requires: %{_lib}sndfile1
Requires: %{_lib}asyncns0
Requires: %{_lib}flac8
Requires: %{_lib}vorbisenc2
Requires: %{_lib}vorbis0
Requires: %{_lib}ogg0
Requires: %{_lib}pulseaudio0
Requires: %{_lib}pulseglib20


%description
A robust internet radio station streamer. It connects to web sites
offering radio streaming and lets you play radio stations directly
from that locations.


%prep
%setup -q
%apply_patches

%build
%qmake_qt4
%make


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/opt/extras.ubuntu.com/glrp/language
cp language/* %{buildroot}/opt/extras.ubuntu.com/glrp/language/

mkdir -p %{buildroot}/opt/extras.ubuntu.com/glrp/styles
cp -r styles/* %{buildroot}/opt/extras.ubuntu.com/glrp/styles/

mkdir -p %{buildroot}/opt/extras.ubuntu.com/glrp
cp glrp.svg %{buildroot}/opt/extras.ubuntu.com/glrp/
cp GreatLittleRadioPlayer %{buildroot}/opt/extras.ubuntu.com/glrp
cp stations.csv %{buildroot}/opt/extras.ubuntu.com/glrp/
cp translators.txt %{buildroot}/opt/extras.ubuntu.com/glrp/
cp changelog.txt %{buildroot}/opt/extras.ubuntu.com/glrp/

mkdir -p %{buildroot}/usr/share/applications
cp extras-greatlittleradioplayer.desktop %{buildroot}/usr/share/applications/


%files
%defattr(-,root,root)
/opt
/usr


%changelog
* Wed Nov 06 2013 billybot <billybot>  1.4.4-2pclos2013
- rebuild for new pcre

* Tue Jul 23 2013 Texstar <texstar at gmail.com> 1.4.4-1pclos2013
- 1.4.4

* Tue Jul 09 2013 Texstar <texstar at gmail.com> 1.4.3-4pclos2013
- use phonon-vlc backend 

* Tue Jul 09 2013 Texstar <texstar at gmail.com> 1.4.3-3pclos2013
- create package for PCLinuxOS
